Bug 1281862 (CVE-2015-7497) - CVE-2015-7497 libxml2: Heap-based buffer overflow in xmlDictComputeFastQKey
Summary: CVE-2015-7497 libxml2: Heap-based buffer overflow in xmlDictComputeFastQKey
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-7497
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151201,repor...
Depends On: 1284794 1286495 1286496 1286497 1322879
Blocks: 1274223 1281960 1318206
TreeView+ depends on / blocked
 
Reported: 2015-11-13 16:05 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in libxml2. A remote attacker could provide a specially crafted XML or HTML file that, when processed by an application using libxml2, would cause that application to crash.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:45:14 UTC


Attachments (Terms of Use)
Proposed patch (442 bytes, patch)
2015-11-13 16:05 UTC, Adam Mariš
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2549 normal SHIPPED_LIVE Moderate: libxml2 security update 2015-12-07 15:13:44 UTC
Red Hat Product Errata RHSA-2015:2550 normal SHIPPED_LIVE Moderate: libxml2 security update 2015-12-07 16:59:33 UTC
Red Hat Product Errata RHSA-2016:1089 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 3.0.3 security update 2016-05-17 20:12:21 UTC

Description Adam Mariš 2015-11-13 16:05:07 UTC
A heap-based buffer overflow vulnerability was found in xmlDictComputeFastQKey in dict.c.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=756528

Comment 1 Adam Mariš 2015-11-13 16:05:54 UTC
Created attachment 1093719 [details]
Proposed patch

Comment 3 Adam Mariš 2015-11-16 14:04:13 UTC
Acknowledgments:

Name: the GNOME project
Upstream: Kostya Serebryany

Comment 7 Huzaifa S. Sidhpurwala 2015-12-01 09:53:32 UTC
Upstream commit:

https://git.gnome.org/browse/libxml2/commit/?id=6360a31a84efe69d155ed96306b9a931a40beab9

Comment 8 errata-xmlrpc 2015-12-07 10:14:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:2549 https://rhn.redhat.com/errata/RHSA-2015-2549.html

Comment 9 errata-xmlrpc 2015-12-07 12:00:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2550 https://rhn.redhat.com/errata/RHSA-2015-2550.html

Comment 13 errata-xmlrpc 2016-05-17 16:14:10 UTC
This issue has been addressed in the following products:



Via RHSA-2016:1089 https://rhn.redhat.com/errata/RHSA-2016-1089.html


Note You need to log in before you can comment on or make changes to this bug.